Announcement

Collapse
No announcement yet.

500 Error after upgrade

Collapse
X
 
  • Filter
  • Time
  • Show
Clear All
new posts

  • [Forum] 500 Error after upgrade

    So I did finally get my upgrade to 4.0.7 in but now when I browse to the site I get a 500 error on the page.

    I can't seem to find others with this issues. Any suggestions?

  • #2
    After disabling hooks in the config.php I was able to log into my forum. However, when I click on posts, try to create new posts, and other stuff I get a 500 error. So the site half works. I'm very confused by this behavior.

    Comment


    • #3
      Three options here;

      1. Check the server error logs to see what script is throwing that error
      2. Disable any modifications related to posts/posting or
      2. Disable all modifications from AdminCP and turn them on individually and test an action after each is turned on until you get the error
      Vote for:

      - *Admin Settable Paid Subscription Reminder Timeframe*
      -
      *PM - Add ability to reply to originator only*
      - Add Admin ability to auto-subscribe users to specific channel(s)
      - "Quick Route" Interface...

      Comment


      • #4
        Hi Trevor.
        1. What logs in particular? I'm running IIS on Windows 2003. I check the event log and there's nothing there. I also checked the web logs under LogFiles and also nothing of interest there.
        2. I disabled all hooks by adding define('DISABLE_HOOKS', true); in the config file. I can't go into any of the addon modifications from the adminCP as all those screens give me a 500 error
        3. The site only ever had 1 addon and it was a shoutbox on the front page.

        I'm confused as to why half the site would work, and half would not right after an upgrade. The fact the site is half working indicates to me that
        - MySQL is working fine
        - PHP is working fine
        - My IIS config is fine
        - My file permissions are fine

        I'm not sure what else to look for.

        Comment


        • #5
          In my logfile I have a bunch of

          2010-10-19 11:21:04 W3SVC1 <IPADDRESSS Removed> GET /nclb3abd93/clientscript/yui/connection/connection-min.js v=407 80 Bandof 174.112.236.163 Mozilla/4.0+(compatible;+MSIE+8.0;+Windows+NT+6.1;+WOW64;+Trident/4.0;+SLCC2;+.NET+CLR+2.0.50727;+.NET+CLR+3.5.30729;+.NET+CLR+3.0.30729;+Media+Center+PC+6. 0;+OfficeLiveConnector.1.3;+OfficeLivePatch.0.0;+InfoPath.2;+.NET4.0C;+MS-RTC+LM+8) 200 0 0
          2010-10-19 11:21:04 W3SVC1 <IPADDRESSS Removed> GET /nclb3abd93/clientscript/yui/yuiloader-dom-event/yuiloader-dom-event.js v=407 80 Bandof 174.112.236.163 Mozilla/4.0+(compatible;+MSIE+8.0;+Windows+NT+6.1;+WOW64;+Trident/4.0;+SLCC2;+.NET+CLR+2.0.50727;+.NET+CLR+3.5.30729;+.NET+CLR+3.0.30729;+Media+Center+PC+6. 0;+OfficeLiveConnector.1.3;+OfficeLivePatch.0.0;+InfoPath.2;+.NET4.0C;+MS-RTC+LM+8) 200 0 0

          Just seems like normal stuff to me. I don't see anything all that interesting.

          Comment


          • #6
            Hmmm. What did you upgrade from?
            Vote for:

            - *Admin Settable Paid Subscription Reminder Timeframe*
            -
            *PM - Add ability to reply to originator only*
            - Add Admin ability to auto-subscribe users to specific channel(s)
            - "Quick Route" Interface...

            Comment


            • #7
              3.7 something. I can't remember the exact version.

              Comment


              • #8
                Did you upgrade your mods or are they still the same ones that you had on 3.x? If so, these are not compatible with vB4 hence why disabling Hooks via config.php will cause your site to work.
                Vote for:

                - *Admin Settable Paid Subscription Reminder Timeframe*
                -
                *PM - Add ability to reply to originator only*
                - Add Admin ability to auto-subscribe users to specific channel(s)
                - "Quick Route" Interface...

                Comment


                • #9
                  The site only had one mod, the shoutbox, which I did NOT disable before the upgrade and can't now as I get a server error each time I go into those screens in the AdminCP.

                  Disabling Hooks makes the site halfway work in that some pages work, others do not. For example, I can see the main forum page and then go into a forum but when I click on a post I get a server error.

                  In the AdminCP it's the same, some functions work fine, like the maintenance stuff, but others do not, like the addon manager.

                  Comment


                  • #10
                    Internal Server errors are generally related to either a server problem, or added code to the vB files and/or templates.

                    To troubleshoot this, first reupload all the original vB non-image files (except install.php). Make sure you upload these in ASCII format and overwrite the ones on the server. Also be sure to upload the admincp files to whichever directory you have set in your config.php file. Then run 'Suspect File Versions' in Diagnostics to make sure you have all the original files for your version and that none show 'File does not contain expected contents':

                    Admin CP -> Maintenance -> Diagnostics -> Suspect File Versions

                    [Note: In some cases you may also need to remove any of the listed .xml files in the includes/xml directory.]

                    Next, disable all products (except vB Blog and vB CMS if you are running the Suite.)

                    Admin CP -> Plugins & Products -> Manage Products -> Disable

                    Then manually uncheck all plugins that are not for 'vBulletin Blog' and vBulletin CMS' here:

                    Admin CP -> Plugins & Products -> Plugin Manager

                    Then if you still have this problem, create a new style and choose no parent style. This will force it to use the default templates. Finally empty your browser cache, close all browser windows then try again. Make sure you change to the new style and view your forums with it.

                    Do you have the same problem?
                    Steve Machol, former vBulletin Customer Support Manager (and NOT retired!)
                    Change CKEditor Colors to Match Style (for 4.1.4 and above)

                    Steve Machol Photography


                    Mankind is the only creature smart enough to know its own history, and dumb enough to ignore it.


                    Comment


                    • #11
                      1. Suspect File Versions - For every file I got File Not Readable except for forum.php which said File Not Recognized as Part of vBulletin. If every file were corrupt though would any of the forums work at all? This seems like an odd result to this test.
                      2. The Managed Products link results in a server error 500
                      3. Plugin manager also results in a server error 500

                      I created a new style with no parent style and then went back to the site and no success.

                      I'm tempted to restore to the old version and try the upgrade again but I've put so much work into this so far I'm not all that keen on starting from scratch again.

                      I'm pretty frustrated at the moment but I do appreciate your help.

                      Comment


                      • #12
                        That is definitely a sign that the files were not uploaded correctly. Make sure you download a new zip file and overwrite all the existing files when you upload them.
                        Steve Machol, former vBulletin Customer Support Manager (and NOT retired!)
                        Change CKEditor Colors to Match Style (for 4.1.4 and above)

                        Steve Machol Photography


                        Mankind is the only creature smart enough to know its own history, and dumb enough to ignore it.


                        Comment


                        • #13
                          I went right on the server and downloaded the package to it. I then extracted the package on the server and then copied the files over using Windows Explorer. I still get the same issue on the files. What could possibly be causing this? Again, if all the files are corrupt, why is the site half running and why did the install go perfectly fine? Also, I am able to open and read the "corrupt" files perfectly fine with EditPlus.

                          Any other suggestions?

                          Comment


                          • #14
                            Delete the existing vB files and do this again. If this is done correct, then you will not get those results in Suspect Files.
                            Steve Machol, former vBulletin Customer Support Manager (and NOT retired!)
                            Change CKEditor Colors to Match Style (for 4.1.4 and above)

                            Steve Machol Photography


                            Mankind is the only creature smart enough to know its own history, and dumb enough to ignore it.


                            Comment


                            • #15
                              What version of php are you running?

                              Comment

                              Related Topics

                              Collapse

                              Working...
                              X